Search documents
curl --request POST \
--url https://api.bigdata.com/v1/search \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"search_mode": "fast",
"query": {
"text": "Type a question to retrieve documents chunks"
}
}
'import requests
url = "https://api.bigdata.com/v1/search"
payload = {
"search_mode": "fast",
"query": { "text": "Type a question to retrieve documents chunks" }
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_mode: 'fast',
query: {text: 'Type a question to retrieve documents chunks'}
})
};
fetch('https://api.bigdata.com/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search_mode' => 'fast',
'query' => [
'text' => 'Type a question to retrieve documents chunks'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/search"
payload := strings.NewReader("{\n \"search_mode\": \"fast\",\n \"query\": {\n \"text\": \"Type a question to retrieve documents chunks\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bigdata.com/v1/search")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"search_mode\": \"fast\",\n \"query\": {\n \"text\": \"Type a question to retrieve documents chunks\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search_mode\": \"fast\",\n \"query\": {\n \"text\": \"Type a question to retrieve documents chunks\"\n }\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "57BB2AD919....",
"headline": "Headline example: Microsoft Corp.: Q3 2025 Earnings Call",
"timestamp": "2025-04-30T21:30:00Z",
"source": {
"id": "D4B903",
"name": "Factset Transcripts"
},
"chunks": [
{
"cnum": 7,
"text": "Microsoft will provide forward-looking guidance on its earnings conference call Wednesday, which can be viewed below.\nMSFT Price Action: Microsoft stock is up 5.5% to $417.17 year-over-year in after-hours trading Wednesday versus a 52-week trading range of $344.79 to $468.35."
}
],
"url": "https://www.benzinga.com/node/45117886?utm_campaign=partner_feed&utm_medium=feed&utm_source=ravenpack"
}
],
"external_results": {},
"usage": {
"api_query_units": 0.7
},
"metadata": {
"timestamp": "2025-09-12T11:10:46.019077+00:00",
"request_id": "user_2k3Z4SerTUIieyCfQhGR5UF2Af3",
"audit": {
"queries": [
"<unknown>"
]
},
"total_response_tokens": 1
},
"errors": [
{
"message": "<string>"
}
],
"pagination": {
"has_cursor": true,
"cursor": "<string>"
}
}Search
Search documents
Easily find the most relevant information from trusted sources and your own data. Use it to power agents that give accurate, real-time answers.
POST
/
v1
/
search
Search documents
curl --request POST \
--url https://api.bigdata.com/v1/search \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"search_mode": "fast",
"query": {
"text": "Type a question to retrieve documents chunks"
}
}
'import requests
url = "https://api.bigdata.com/v1/search"
payload = {
"search_mode": "fast",
"query": { "text": "Type a question to retrieve documents chunks" }
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_mode: 'fast',
query: {text: 'Type a question to retrieve documents chunks'}
})
};
fetch('https://api.bigdata.com/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bigdata.com/v1/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'search_mode' => 'fast',
'query' => [
'text' => 'Type a question to retrieve documents chunks'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.bigdata.com/v1/search"
payload := strings.NewReader("{\n \"search_mode\": \"fast\",\n \"query\": {\n \"text\": \"Type a question to retrieve documents chunks\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.bigdata.com/v1/search")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"search_mode\": \"fast\",\n \"query\": {\n \"text\": \"Type a question to retrieve documents chunks\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bigdata.com/v1/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"search_mode\": \"fast\",\n \"query\": {\n \"text\": \"Type a question to retrieve documents chunks\"\n }\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "57BB2AD919....",
"headline": "Headline example: Microsoft Corp.: Q3 2025 Earnings Call",
"timestamp": "2025-04-30T21:30:00Z",
"source": {
"id": "D4B903",
"name": "Factset Transcripts"
},
"chunks": [
{
"cnum": 7,
"text": "Microsoft will provide forward-looking guidance on its earnings conference call Wednesday, which can be viewed below.\nMSFT Price Action: Microsoft stock is up 5.5% to $417.17 year-over-year in after-hours trading Wednesday versus a 52-week trading range of $344.79 to $468.35."
}
],
"url": "https://www.benzinga.com/node/45117886?utm_campaign=partner_feed&utm_medium=feed&utm_source=ravenpack"
}
],
"external_results": {},
"usage": {
"api_query_units": 0.7
},
"metadata": {
"timestamp": "2025-09-12T11:10:46.019077+00:00",
"request_id": "user_2k3Z4SerTUIieyCfQhGR5UF2Af3",
"audit": {
"queries": [
"<unknown>"
]
},
"total_response_tokens": 1
},
"errors": [
{
"message": "<string>"
}
],
"pagination": {
"has_cursor": true,
"cursor": "<string>"
}
}Body
application/json
fast (default): Runs a single query using the specified filters. Best for pre-processed queries where you control the filters.
smart: Analyzes the query text to automatically define search filters and runs multiple sub-queries to ensure better coverage. Ideal for sending user questions directly without pre-processing. When using smart mode, only timestamp and source filters are allowed; using any other filters will result in a 400 Bad Request error.
Available options:
fast, smart Response
200 - application/json
Search results
- Light
- Standard
- Extended
The response schema corresponds to the requested response_detail value.
Was this page helpful?